package cn.iselab.mooctest.user.service;

import javax.mail.MessagingException;

/**
 * @Description: 发送邮件服务接口
 * @Author: xuexb
 * @CreateDate: 18-12-25$ 下午4:53$
 */
public interface MailService {

    void sendNormalEmail(String sender, String receiver,
                         String subject, String content);

    void sendHtmlEmail(String sender, String receiver,
                         String subject, String content) throws MessagingException;

    void sendVerifyEmail(String sender, String receiver, String code) throws MessagingException;

    void sendArrearsEmail();
}
